Subject: bug#29036: closed (Re: bug#29036: 26.0.90; Feature Request: make "emacsclient +linenum file" rencenter line)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 29 Sep 2019 00:40:02 +0000

Your bug report

#29036: 26.0.90; Feature Request: make "emacsclient +linenum file" rencenter line

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29036: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29036
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29036: 26.0.90; Feature Request: make "emacsclient +linenum file" rencenter line
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: Xiaolong Zhang <[email-masked]>, [email-masked]
Date: Sun, 29 Sep 2019 02:39:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Xiaolong Zhang <[email-masked]>
>> Date: Sun, 29 Oct 2017 18:57:36 +0800
>> Cc: [email-masked]
>>
>> If the file is already visited in Emacs, it won't recenter. Is it possible to make
>> Emacs recenter even if it's already visited?
>
> You can only do that by customizing the scrolling behavior in
> general.  There's no special behavior for visiting a file that is
> already in Emacs.

It seems like the reporter got the needed answer.  I'm therefore closing
this bug report.

Best regards,
Stefan Kangas

Subject: 26.0.90; Feature Request: make "emacsclient +linenum file" rencenter line
From: Xiaolong Zhang <[email-masked]>
To: [email-masked]
Date: Sat, 28 Oct 2017 11:30:27 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi list,

I got no answer on stack-exchange for emacs (
https://emacs.stackexchange.com/questions/36434/make-emacs-recenter-the-line-for-latex-inverse-search)
so I'm asking here.

I'm using emacs for LaTeX file editing and emacsclient support the nice
command line option "+linenum file" to "visit file using find-file, then go
to line number linenum in it", which works well.

Is it possible to recenter to linenum at the sametime? This is the default
behavior for Notepad++ and I've tried the "--eval" option, but it won't
switch focus to  emacs automatically.

Thanks.

Best,
Xiaolong